test suite reviews and discussions
 help / color / Atom feed
* [dts] [PATCH V3] modify document according to current dts and dpdk support
@ 2020-06-09 21:33 lihong
  2020-06-11 13:22 ` Tu, Lijuan
  0 siblings, 1 reply; 2+ messages in thread
From: lihong @ 2020-06-09 21:33 UTC (permalink / raw)
  To: dts, zhaoyan.chen; +Cc: lihong

* V3: use requirements.txt  install python library

1. now dts support python3, so use python3 instead of python2
2. update os of dpdk support
3. use ubuntu 18.04 instead of fedora 20 as tester env os
4. update support version of python library

Signed-off-by: lihong <lihongx.ma@intel.com>
---
 doc/dts_gsg/sys_reqs.rst         | 38 ++++++++++++++------------------------
 doc/dts_gsg/trex_known_issue.rst |  4 ++--
 requirements.txt                 |  4 ++--
 3 files changed, 18 insertions(+), 28 deletions(-)

diff --git a/doc/dts_gsg/sys_reqs.rst b/doc/dts_gsg/sys_reqs.rst
index cbfc040..77022e2 100644
--- a/doc/dts_gsg/sys_reqs.rst
+++ b/doc/dts_gsg/sys_reqs.rst
@@ -18,7 +18,7 @@ Setup Tester Environment
 
 .. note::
 
-   Please install the latest Fedora distribution on the tester before install DPDK Test Suite on tester. Currently we recommend Fedora 20 for tester. The setup instruction and required packages may be different on different operation systems.
+   Please install the latest ubuntu distribution on the tester before install DPDK Test Suite on tester. Currently we recommend ubuntu 18.04 for tester. The setup instruction and required packages may be different on different operation systems.
 
 To enable tester environment, you need to install script language, tool chain and third party packet generator, etc.
 
@@ -30,8 +30,8 @@ Since DPDK Test Suite Tester communicates with DUT via SSH, please install and s
 
 .. code-block:: console
 
-   yum install sshd                # download / install ssh software
-   systemctl enable sshd.service   # start ssh service
+   apt-get install sshd                # download / install ssh software
+   systemctl enable ssh                # start ssh service
 
 For create authorized login session, user needs to generate RSA authentication keys to ssh connection.
 
@@ -47,7 +47,7 @@ Since some third party tools required TCL (Tool Command Language) supports, plea
 
 .. code-block:: console
 
-   yum install tcl                 # download / install tcl software
+   apt-get install tcl                 # download / install tcl software
 
 Install Third Party python modules
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -65,12 +65,8 @@ Please see installation instruction as the following:
 
 .. code-block:: console
 
-   yum install python-xlwt
-   yum install python-pexpect
-   yum install numpy
-   yum install python-docutils
-   yum install pcapy
-   yum install python-xlrd
+   apt-get install python3-pip
+   pip3 install -r ../../requirements.txt
 
 Setup and configure Scapy
 ~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -80,14 +76,7 @@ DTS uses python module scapy to forge or decode packets of a wide number of prot
 
 .. code-block:: console
 
-   yum install scapy
-
-Fedora20 default kernel will strip vlan header automatically and thus it will cause that scapy can’t detect vlan packet normally. To solve this issue, we need to configure scapy use libpcap which is a low-level network traffic monitoring tool.
-
-.. code-block:: console
-
-   vim /usr/lib/python2.7/site-packages/scapy/config.py  # open configure python files
-   use_pcap = True                                       # find use_pcap and set it to True
+   pip3 install scapy
 
 Install DPDK Test Suite on tester
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -119,12 +108,13 @@ Setup Target Environment
 
 This section describes how to deploy DPDK Test Suite packages into DUT target.So far, DPDK Test Suite supports the following OS on DUT:
 
-*   Fedora18/19/20/23/24/25
-*   Ubuntu12.04/14.04/16.04
-*   WindRiver 6.0/7.0
-*   FreeBSD 10
-*   RedHat 6.5/7.0/7.3
-*   SUSE 11
+*   Fedora 32
+*   Ubuntu 16.04/18.04/20.04
+*   FreeBSD 12.1
+*   RedHat 7.7/8.0
+*   SUSE 15
+*   Centos 7.7/8.0
+*   OpenWRT 19.07
 
 Before run DPDK Test Suite on target, we need to configure target environment, it includes BIOS setting, Network configure, compiler environment, etc.
 
diff --git a/doc/dts_gsg/trex_known_issue.rst b/doc/dts_gsg/trex_known_issue.rst
index 7807dd2..8a84e7c 100644
--- a/doc/dts_gsg/trex_known_issue.rst
+++ b/doc/dts_gsg/trex_known_issue.rst
@@ -91,10 +91,10 @@ resolved scheme
 ---------------
 
 #. backup your scapy::
-   cp -fr /usr/lib/python2.7/site-packages/scapy /usr/lib/python2.7/site-packages/scapy_backup
+   cp -fr /usr/lib/python3/site-packages/scapy /usr/lib/python3/site-packages/scapy_backup
 
 #. unify scapy version with trex::
-   cp -fr /opt/trex/v2.41/trex_client/external_libs/scapy-2.3.1/python2/scapy /usr/lib/python2.7/site-packages/scapy
+   cp -fr /opt/trex/v2.41/trex_client/external_libs/scapy-2.3.1/python3/scapy /usr/lib/python3/site-packages/scapy
 
 other issues
 ============
diff --git a/requirements.txt b/requirements.txt
index d215ce7..59b3d8e 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -32,8 +32,8 @@
 
 xlwt==1.3.0
 pexpect==4.7.0
-numpy==1.16.4
+numpy==1.18.5
 docutils
 pcapy
 xlrd
-scapy==2.3.3
+scapy==2.4.3
-- 
2.7.4


^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [dts] [PATCH V3] modify document according to current dts and dpdk support
  2020-06-09 21:33 [dts] [PATCH V3] modify document according to current dts and dpdk support lihong
@ 2020-06-11 13:22 ` Tu, Lijuan
  0 siblings, 0 replies; 2+ messages in thread
From: Tu, Lijuan @ 2020-06-11 13:22 UTC (permalink / raw)
  To: Ma, LihongX, dts, Chen, Zhaoyan; +Cc: Ma, LihongX

Applied, thanks

-----Original Message-----
From: dts <dts-bounces@dpdk.org> On Behalf Of lihong
Sent: 2020年6月10日 5:34
To: dts@dpdk.org; Chen, Zhaoyan <zhaoyan.chen@intel.com>
Cc: Ma, LihongX <lihongx.ma@intel.com>
Subject: [dts] [PATCH V3] modify document according to current dts and dpdk support

* V3: use requirements.txt  install python library

1. now dts support python3, so use python3 instead of python2 2. update os of dpdk support 3. use ubuntu 18.04 instead of fedora 20 as tester env os 4. update support version of python library

Signed-off-by: lihong <lihongx.ma@intel.com>
---
 doc/dts_gsg/sys_reqs.rst         | 38 ++++++++++++++------------------------
 doc/dts_gsg/trex_known_issue.rst |  4 ++--
 requirements.txt                 |  4 ++--
 3 files changed, 18 insertions(+), 28 deletions(-)

diff --git a/doc/dts_gsg/sys_reqs.rst b/doc/dts_gsg/sys_reqs.rst index cbfc040..77022e2 100644
--- a/doc/dts_gsg/sys_reqs.rst
+++ b/doc/dts_gsg/sys_reqs.rst
@@ -18,7 +18,7 @@ Setup Tester Environment
 
 .. note::
 
-   Please install the latest Fedora distribution on the tester before install DPDK Test Suite on tester. Currently we recommend Fedora 20 for tester. The setup instruction and required packages may be different on different operation systems.
+   Please install the latest ubuntu distribution on the tester before install DPDK Test Suite on tester. Currently we recommend ubuntu 18.04 for tester. The setup instruction and required packages may be different on different operation systems.
 
 To enable tester environment, you need to install script language, tool chain and third party packet generator, etc.
 
@@ -30,8 +30,8 @@ Since DPDK Test Suite Tester communicates with DUT via SSH, please install and s
 
 .. code-block:: console
 
-   yum install sshd                # download / install ssh software
-   systemctl enable sshd.service   # start ssh service
+   apt-get install sshd                # download / install ssh software
+   systemctl enable ssh                # start ssh service
 
 For create authorized login session, user needs to generate RSA authentication keys to ssh connection.
 
@@ -47,7 +47,7 @@ Since some third party tools required TCL (Tool Command Language) supports, plea
 
 .. code-block:: console
 
-   yum install tcl                 # download / install tcl software
+   apt-get install tcl                 # download / install tcl software
 
 Install Third Party python modules
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -65,12 +65,8 @@ Please see installation instruction as the following:
 
 .. code-block:: console
 
-   yum install python-xlwt
-   yum install python-pexpect
-   yum install numpy
-   yum install python-docutils
-   yum install pcapy
-   yum install python-xlrd
+   apt-get install python3-pip
+   pip3 install -r ../../requirements.txt
 
 Setup and configure Scapy
 ~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -80,14 +76,7 @@ DTS uses python module scapy to forge or decode packets of a wide number of prot
 
 .. code-block:: console
 
-   yum install scapy
-
-Fedora20 default kernel will strip vlan header automatically and thus it will cause that scapy can’t detect vlan packet normally. To solve this issue, we need to configure scapy use libpcap which is a low-level network traffic monitoring tool.
-
-.. code-block:: console
-
-   vim /usr/lib/python2.7/site-packages/scapy/config.py  # open configure python files
-   use_pcap = True                                       # find use_pcap and set it to True
+   pip3 install scapy
 
 Install DPDK Test Suite on tester
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -119,12 +108,13 @@ Setup Target Environment
 
 This section describes how to deploy DPDK Test Suite packages into DUT target.So far, DPDK Test Suite supports the following OS on DUT:
 
-*   Fedora18/19/20/23/24/25
-*   Ubuntu12.04/14.04/16.04
-*   WindRiver 6.0/7.0
-*   FreeBSD 10
-*   RedHat 6.5/7.0/7.3
-*   SUSE 11
+*   Fedora 32
+*   Ubuntu 16.04/18.04/20.04
+*   FreeBSD 12.1
+*   RedHat 7.7/8.0
+*   SUSE 15
+*   Centos 7.7/8.0
+*   OpenWRT 19.07
 
 Before run DPDK Test Suite on target, we need to configure target environment, it includes BIOS setting, Network configure, compiler environment, etc.
 
diff --git a/doc/dts_gsg/trex_known_issue.rst b/doc/dts_gsg/trex_known_issue.rst
index 7807dd2..8a84e7c 100644
--- a/doc/dts_gsg/trex_known_issue.rst
+++ b/doc/dts_gsg/trex_known_issue.rst
@@ -91,10 +91,10 @@ resolved scheme
 ---------------
 
 #. backup your scapy::
-   cp -fr /usr/lib/python2.7/site-packages/scapy /usr/lib/python2.7/site-packages/scapy_backup
+   cp -fr /usr/lib/python3/site-packages/scapy 
+ /usr/lib/python3/site-packages/scapy_backup
 
 #. unify scapy version with trex::
-   cp -fr /opt/trex/v2.41/trex_client/external_libs/scapy-2.3.1/python2/scapy /usr/lib/python2.7/site-packages/scapy
+   cp -fr 
+ /opt/trex/v2.41/trex_client/external_libs/scapy-2.3.1/python3/scapy 
+ /usr/lib/python3/site-packages/scapy
 
 other issues
 ============
diff --git a/requirements.txt b/requirements.txt index d215ce7..59b3d8e 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -32,8 +32,8 @@
 
 xlwt==1.3.0
 pexpect==4.7.0
-numpy==1.16.4
+numpy==1.18.5
 docutils
 pcapy
 xlrd
-scapy==2.3.3
+scapy==2.4.3
--
2.7.4


^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, back to index

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-06-09 21:33 [dts] [PATCH V3] modify document according to current dts and dpdk support lihong
2020-06-11 13:22 ` Tu, Lijuan

test suite reviews and discussions

Archives are clonable:
	git clone --mirror http://inbox.dpdk.org/dts/0 dts/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 dts dts/ http://inbox.dpdk.org/dts \
		dts@dpdk.org
	public-inbox-index dts


Newsgroup available over NNTP:
	nntp://inbox.dpdk.org/inbox.dpdk.dts


AGPL code for this site: git clone https://public-inbox.org/ public-inbox